Package org.eclipse.birt.chart.computation.withaxes

# Class ScaleContext

java.lang.Object
org.eclipse.birt.chart.computation.Methods
org.eclipse.birt.chart.computation.withaxes.ScaleContext

All Implemented Interfaces:
  `IConstants`

public class ScaleContext extends Methods
Scale context for min/max computation.

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.computation.IConstants

`ABOVE, ANCILLARY_AXIS, ANCILLARY_BASE, ARRAY, AUTO, AVERAGE, AXIS, BACKWARD, BASE, BASE_AXIS, BELOW, BIG_NUMBER_PRIMITIVE_ARRAY, BOOLEAN, BOTTOM, CENTER, COLLECTION, DATE_TIME, DESIGN_TIME, EMPTY_STRING, EQUAL, FORWARD, HORIZONTAL, INSIDE, LABELS, LEFT, LEGEND_ENTRY, LEGEND_GROUP_NAME, LEGEND_MINSLICE_ENTRY, LEGEND_SEPERATOR, LESS, LINE_EXPAND_DOUBLE_SIZE, LINE_EXPAND_SIZE, LINEAR, LOG_10, LOGARITHMIC, MAJOR, MAX, MIN, MINOR, MORE, NON_PRIMITIVE_ARRAY, NULL_STRING, NUMBER_PRIMITIVE_ARRAY, NUMERICAL, ONE_SPACE, ORTHOGONAL, ORTHOGONAL_AXIS, OTHER, OUTSIDE, PERCENT, POSITION_MASK, POSITION_MOVE_ABOVE, POSITION_MOVE_BELOW, POSITION_MOVE_LEFT, POSITION_MOVE_RIGHT, PRIMITIVE_ARRAY, RIGHT, RUN_TIME, SOME_NULL, TEXT, THREE_D, TICK_ABOVE, TICK_ACROSS, TICK_BELOW, TICK_LEFT, TICK_NONE, TICK_RIGHT, TICK_SIDE1, TICK_SIDE2, TICK_SIZE, TOP, TWO_5_D, TWO_D, UNDEFINED, UNDEFINED_STRING, USER_INTERFACE, VALUE, VERTICAL`

## Constructor Summary

Constructors
Constructor
Description
`ScaleContext(int iMarginPercent, int iType)`
`ScaleContext(int iMarginPercent, int iType, Object oMinAuto, Object oMaxAuto, Object oStep)`
`ScaleContext(int iMarginPercent, int iType, Object oUnit, Object oMinValue, Object oMaxValue, Object oStep)`

## Method Summary

Modifier and Type
Method
Description
`void`
`computeMinMax()`
`void`
`computeMinMax(boolean bAlignZero)`
`ScaleContext`
`copy()`
`static ScaleContext`
`createSimpleScale(Object oMin, Object oMax)`
Creates a simple instance of scale.
`Object`
`getMax()`
Returns the maximum of the scale
`Object`
`getMaxWithMargin()`
Returns the maximum plus margin.
`Object`
`getMin()`
Returns the minimum of the scale
`Object`
`getMinWithMargin()`
Returns the minimum plus margin.
`Object`
`getStep()`
`Integer`
`getStepNumber()`
`Object`
`getUnit()`
`boolean`
`isExpandMinmax()`
`void`
`setExpandMinmax(boolean expandMinmax)`
`void`
`setFixedStep(boolean bStepFixed, Integer oStepNumber)`
`void`
`setFixedValue(boolean bMinimumFixed, boolean bMaximumFixed, Object oMinFixed, Object oMaxFixed)`
`void`
`setMax(Object oMax)`
`void`
`setMaxWithMargin(Object oMaxAuto)`
`void`
`setMin(Object oMin)`
`void`
`setMinWithMargin(Object oMinAuto)`
`void`
`setStep(Object oStep)`
`void`
`setStepNumber(Integer oStepNumber)`
`void`
`setUnit(Object oUnit)`
`void`
`updateShared(ScaleContext that)`

### Methods inherited from class org.eclipse.birt.chart.computation.Methods

`asDateTime, asDouble, asInteger, computeBox, computeBox, computeBox, computeBox, computeFontHeight, computeHeight, computeHeight, computeLabelSize, computePolygon, computePolygon, computePolygon, computeRotatedTopPoint, computeWidth, computeWidth, getLabelPosition, getLocation, getLocation, getLocation, getNormalizedLocation, getNormalizedLocation`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScaleContext

public ScaleContext(int iMarginPercent, int iType)

### ScaleContext

public ScaleContext(int iMarginPercent, int iType, Object oUnit, Object oMinValue, Object oMaxValue, Object oStep)

### ScaleContext

public ScaleContext(int iMarginPercent, int iType, Object oMinAuto, Object oMaxAuto, Object oStep)

## Method Details

### copy

public ScaleContext copy()

### updateShared

public void updateShared(ScaleContext that)

Parameters:
  `that` -

### createSimpleScale

public static ScaleContext createSimpleScale(Object oMin, Object oMax)
Creates a simple instance of scale. Note that this instance is just used to store min/max and can not be computed directly.

Parameters:
  `oMin` -
  `oMax` -
Since:
  2.3

### setFixedValue

public void setFixedValue(boolean bMinimumFixed, boolean bMaximumFixed, Object oMinFixed, Object oMaxFixed)

### setFixedStep

public void setFixedStep(boolean bStepFixed, Integer oStepNumber)

### getMin

public Object getMin()
Returns the minimum of the scale

Returns:
  the minimum of the scale

### setMin

public void setMin(Object oMin)

### getMax

public Object getMax()
Returns the maximum of the scale

Returns:
  the maximum of the scale

### setMax

public void setMax(Object oMax)

### getMinWithMargin

public Object getMinWithMargin()
Returns the minimum plus margin. Margin means extra space for rendering and clipping. If margin is 0, or no margin needed, return null.

Returns:
  the minimum plus margin. If no margin, return null.

### setMinWithMargin

public void setMinWithMargin(Object oMinAuto)

### getMaxWithMargin

public Object getMaxWithMargin()
Returns the maximum plus margin. Margin means extra space for rendering and clipping. If margin is 0, or no margin needed, return null.

Returns:
  the maximum plus margin. If no margin, return null.

### setMaxWithMargin

public void setMaxWithMargin(Object oMaxAuto)

### getStep

public Object getStep()

### setStep

public void setStep(Object oStep)

### getStepNumber

public Integer getStepNumber()

### setStepNumber

public void setStepNumber(Integer oStepNumber)

### computeMinMax

public void computeMinMax()

### computeMinMax

public void computeMinMax(boolean bAlignZero)

### getUnit

public Object getUnit()

Returns:
  Returns the iUnit.

### setUnit

public void setUnit(Object oUnit)

### isExpandMinmax

public boolean isExpandMinmax()

Returns:
  Returns the bExpandMinmax.

### setExpandMinmax

public void setExpandMinmax(boolean expandMinmax)

Parameters:
  `expandMinmax` - The bExpandMinmax to set.